# Version history

We follow Semantic Versions as well as Semantic Commits:
* [Semantic Versions](https://semver.org/)
* [Semantic Commits](https://gist.github.com/joshbuchea/6f47e86d2510bce28f8e7f42ae84c716)
for more details see [develop.md](https://github.com/cruisen/cli-calc/blob/main/docs/extras/develop.md#semantic-commits)


<a name="v0.3.7"></a>
## [v0.3.7](https://github.com/cruisen/cli-calc/compare/v0.3.6...v0.3.7)

> 2022-07-26


<a name="v0.3.6"></a>
## [v0.3.6](https://github.com/cruisen/cli-calc/compare/v0.3.5...v0.3.6)

> 2022-07-26

### Docs

* **help:** Update doc with module info

### Refactor

* **print_help:** Handle force updates


<a name="v0.3.5"></a>
## [v0.3.5](https://github.com/cruisen/cli-calc/compare/v0.3.4...v0.3.5)

> 2022-07-26

### Chore

* **make:** Add auto help update to bump


<a name="v0.3.4"></a>
## [v0.3.4](https://github.com/cruisen/cli-calc/compare/v0.3.3...v0.3.4)

> 2022-07-26

### Chore

* **make:** Prepare for git commit date usage

### Docs

* **dev:** Add link to changelog

### Feat

* **argparse:** Add cli_calc/arg_parser.py
* **argparse:** Add configargparse to project
* **constant:** Add and use meta data from module
* **help:** Add (c) years using python_git_wrapper

### Refactor

* Apply isort and black
* **argparse:** Prepare argparser for coding
* **main:** Use Main class method, not function
* **main:** Move functions into Main class

### Style

* **pep8:** Change code to be pep8 or add noqa
* **pep8:** Exclude check 4 line starting with dot

### Test

* Update to define Test Coverage


<a name="v0.3.3"></a>
## [v0.3.3](https://github.com/cruisen/cli-calc/compare/v0.3.2...v0.3.3)

> 2022-07-25


<a name="v0.3.2"></a>
## [v0.3.2](https://github.com/cruisen/cli-calc/compare/v0.3.1...v0.3.2)

> 2022-07-25

### Chore

* move PULL_REQUEST_TEMPLATE.md -> .github/PULL_REQUEST_TEMPLATE/PULL_REQUEST_TEMPLATE.md
* **dev:** add poetry update

### DOC

* Add section to supress setup.py deprecated warning

### Doc

* add git-chglog example link
* reduce moise in changelog by ref develop.md

### Docs

* update the docs based on develop.md
* Add links for commit semantics

### Refactor

* Add update of tags from origin.

### Pull Requests

* Merge pull request [#132](https://github.com/cruisen/cli-calc/issues/132) from cruisen/dependabot/pip/docs/sphinx-5.1.0
* Merge pull request [#133](https://github.com/cruisen/cli-calc/issues/133) from cruisen/dependabot/pip/hypothesis-6.52.4


<a name="v0.3.1"></a>
## [v0.3.1](https://github.com/cruisen/cli-calc/compare/v0.3.0...v0.3.1)

> 2022-07-21


<a name="v0.3.0"></a>
## [v0.3.0](https://github.com/cruisen/cli-calc/compare/v0.2.27...v0.3.0)

> 2022-07-21

### Pull Requests

* Merge pull request [#125](https://github.com/cruisen/cli-calc/issues/125) from cruisen/dependabot/pip/mypy-0.971
* Merge pull request [#124](https://github.com/cruisen/cli-calc/issues/124) from cruisen/dependabot/pip/safety-2.1.1


<a name="v0.2.27"></a>
## [v0.2.27](https://github.com/cruisen/cli-calc/compare/v0.2.26...v0.2.27)

> 2022-07-18


<a name="v0.2.26"></a>
## [v0.2.26](https://github.com/cruisen/cli-calc/compare/v0.2.25...v0.2.26)

> 2022-07-18

### Fix

* docs/requirements.txt to reduce vulnerabilities
* docs/requirements.txt to reduce vulnerabilities

### Pull Requests

* Merge pull request [#77](https://github.com/cruisen/cli-calc/issues/77) from cruisen/dependabot/pip/nitpick-0.32.0
* Merge pull request [#111](https://github.com/cruisen/cli-calc/issues/111) from cruisen/dependabot/pip/docs/sphinx-autodoc-typehints-1.18.3
* Merge pull request [#113](https://github.com/cruisen/cli-calc/issues/113) from cruisen/dependabot/pip/sphinx-5.0.2
* Merge pull request [#109](https://github.com/cruisen/cli-calc/issues/109) from cruisen/dependabot/pip/mypy-0.961
* Merge pull request [#112](https://github.com/cruisen/cli-calc/issues/112) from cruisen/dependabot/pip/docs/sphinx-5.0.2
* Merge pull request [#80](https://github.com/cruisen/cli-calc/issues/80) from cruisen/dependabot/github_actions/peter-evans/create-pull-request-4.0.1
* Merge pull request [#93](https://github.com/cruisen/cli-calc/issues/93) from cruisen/dependabot/github_actions/codecov/codecov-action-3.1.0
* Merge pull request [#97](https://github.com/cruisen/cli-calc/issues/97) from cruisen/dependabot/github_actions/github/codeql-action-2
* Merge pull request [#114](https://github.com/cruisen/cli-calc/issues/114) from cruisen/dependabot/pip/docs/typing-extensions-4.3.0
* Merge pull request [#115](https://github.com/cruisen/cli-calc/issues/115) from cruisen/dependabot/pip/typing-extensions-4.3.0
* Merge pull request [#117](https://github.com/cruisen/cli-calc/issues/117) from cruisen/dependabot/pip/docs/tomlkit-0.11.1
* Merge pull request [#121](https://github.com/cruisen/cli-calc/issues/121) from cruisen/dependabot/pip/safety-2.1.0
* Merge pull request [#87](https://github.com/cruisen/cli-calc/issues/87) from cruisen/pre-commit-ci-update-config
* Merge pull request [#100](https://github.com/cruisen/cli-calc/issues/100) from cruisen/dependabot/pip/doc8-0.11.2
* Merge pull request [#66](https://github.com/cruisen/cli-calc/issues/66) from cruisen/dependabot/github_actions/actions/checkout-3
* Merge pull request [#116](https://github.com/cruisen/cli-calc/issues/116) from cruisen/snyk-fix-92fdb0cf55a01131b47380f92b16a48a
* Merge pull request [#118](https://github.com/cruisen/cli-calc/issues/118) from cruisen/dependabot/pip/tomlkit-0.11.1
* Merge pull request [#120](https://github.com/cruisen/cli-calc/issues/120) from cruisen/dependabot/github_actions/actions/setup-python-4.1.0
* Merge pull request [#60](https://github.com/cruisen/cli-calc/issues/60) from cruisen/create-pull-request/patch
* Merge pull request [#59](https://github.com/cruisen/cli-calc/issues/59) from cruisen/snyk-fix-b3b7e7d5d51a79beeb2526594e393ebf
* Merge pull request [#53](https://github.com/cruisen/cli-calc/issues/53) from cruisen/dependabot/pip/docs/typing-extensions-4.1.0
* Merge pull request [#54](https://github.com/cruisen/cli-calc/issues/54) from cruisen/dependabot/pip/pytest-7.0.1


<a name="v0.2.25"></a>
## [v0.2.25](https://github.com/cruisen/cli-calc/compare/v0.2.24...v0.2.25)

> 2022-02-08

### Pull Requests

* Merge pull request [#49](https://github.com/cruisen/cli-calc/issues/49) from cruisen/pre-commit-ci-update-config
* Merge pull request [#45](https://github.com/cruisen/cli-calc/issues/45) from cruisen/dependabot/pip/pytest-7.0.0


<a name="v0.2.24"></a>
## [v0.2.24](https://github.com/cruisen/cli-calc/compare/v0.2.23...v0.2.24)

> 2022-02-07


<a name="v0.2.23"></a>
## [v0.2.23](https://github.com/cruisen/cli-calc/compare/v0.2.22...v0.2.23)

> 2022-02-07


<a name="v0.2.22"></a>
## [v0.2.22](https://github.com/cruisen/cli-calc/compare/v0.2.21...v0.2.22)

> 2022-02-06


<a name="v0.2.21"></a>
## [v0.2.21](https://github.com/cruisen/cli-calc/compare/v0.2.20...v0.2.21)

> 2022-02-06


<a name="v0.2.20"></a>
## [v0.2.20](https://github.com/cruisen/cli-calc/compare/v0.2.19...v0.2.20)

> 2022-02-06


<a name="v0.2.19"></a>
## [v0.2.19](https://github.com/cruisen/cli-calc/compare/v0.2.18...v0.2.19)

> 2022-02-06


<a name="v0.2.18"></a>
## [v0.2.18](https://github.com/cruisen/cli-calc/compare/v0.2.15...v0.2.18)

> 2022-02-04


<a name="v0.2.15"></a>
## [v0.2.15](https://github.com/cruisen/cli-calc/compare/v0.2.14...v0.2.15)

> 2022-01-25


<a name="v0.2.14"></a>
## [v0.2.14](https://github.com/cruisen/cli-calc/compare/v0.2.13...v0.2.14)

> 2022-01-20


<a name="v0.2.13"></a>
## [v0.2.13](https://github.com/cruisen/cli-calc/compare/v0.2.12...v0.2.13)

> 2022-01-20


<a name="v0.2.12"></a>
## [v0.2.12](https://github.com/cruisen/cli-calc/compare/v0.2.11...v0.2.12)

> 2022-01-17

### Pull Requests

* Merge pull request [#26](https://github.com/cruisen/cli-calc/issues/26) from cruisen/dependabot/pip/docs/sphinx-4.4.0
* Merge pull request [#28](https://github.com/cruisen/cli-calc/issues/28) from cruisen/dependabot/pip/nitpick-0.31.0


<a name="v0.2.11"></a>
## [v0.2.11](https://github.com/cruisen/cli-calc/compare/v0.2.10...v0.2.11)

> 2022-01-16


<a name="v0.2.10"></a>
## [v0.2.10](https://github.com/cruisen/cli-calc/compare/v0.2.9...v0.2.10)

> 2022-01-16


<a name="v0.2.9"></a>
## [v0.2.9](https://github.com/cruisen/cli-calc/compare/v0.2.8...v0.2.9)

> 2022-01-15


<a name="v0.2.8"></a>
## [v0.2.8](https://github.com/cruisen/cli-calc/compare/v0.2.7...v0.2.8)

> 2022-01-15

### Badges

* done.


<a name="v0.2.7"></a>
## [v0.2.7](https://github.com/cruisen/cli-calc/compare/v0.2.6...v0.2.7)

> 2022-01-15


<a name="v0.2.6"></a>
## [v0.2.6](https://github.com/cruisen/cli-calc/compare/v0.2.5...v0.2.6)

> 2022-01-15


<a name="v0.2.5"></a>
## [v0.2.5](https://github.com/cruisen/cli-calc/compare/v0.2.4...v0.2.5)

> 2022-01-15


<a name="v0.2.4"></a>
## [v0.2.4](https://github.com/cruisen/cli-calc/compare/v0.2.3...v0.2.4)

> 2022-01-15


<a name="v0.2.3"></a>
## [v0.2.3](https://github.com/cruisen/cli-calc/compare/v0.2.2...v0.2.3)

> 2022-01-15


<a name="v0.2.2"></a>
## [v0.2.2](https://github.com/cruisen/cli-calc/compare/v0.2.1...v0.2.2)

> 2022-01-15


<a name="v0.2.1"></a>
## [v0.2.1](https://github.com/cruisen/cli-calc/compare/v0.1.12...v0.2.1)

> 2022-01-15


<a name="v0.1.12"></a>
## [v0.1.12](https://github.com/cruisen/cli-calc/compare/v...v0.1.12)

> 2022-01-14


<a name="v"></a>
## [v](https://github.com/cruisen/cli-calc/compare/v0.1.10...v)

> 2022-01-14


<a name="v0.1.10"></a>
## [v0.1.10](https://github.com/cruisen/cli-calc/compare/v0.1.9...v0.1.10)

> 2022-01-14


<a name="v0.1.9"></a>
## [v0.1.9](https://github.com/cruisen/cli-calc/compare/v0.1.8...v0.1.9)

> 2022-01-14


<a name="v0.1.8"></a>
## [v0.1.8](https://github.com/cruisen/cli-calc/compare/v0.1.7...v0.1.8)

> 2022-01-14


<a name="v0.1.7"></a>
## [v0.1.7](https://github.com/cruisen/cli-calc/compare/v0.1.6...v0.1.7)

> 2022-01-14


<a name="v0.1.6"></a>
## [v0.1.6](https://github.com/cruisen/cli-calc/compare/v0.1.5...v0.1.6)

> 2022-01-14


<a name="v0.1.5"></a>
## [v0.1.5](https://github.com/cruisen/cli-calc/compare/v0.1.4...v0.1.5)

> 2022-01-14


<a name="v0.1.4"></a>
## [v0.1.4](https://github.com/cruisen/cli-calc/compare/help...v0.1.4)

> 2022-01-14

### Pull Requests

* Merge pull request [#8](https://github.com/cruisen/cli-calc/issues/8) from cruisen/dependabot/pip/nitpick-0.30.0


<a name="help"></a>
## [help](https://github.com/cruisen/cli-calc/compare/0.1.3...help)

> 2022-01-14


<a name="0.1.3"></a>
## [0.1.3](https://github.com/cruisen/cli-calc/compare/v0.1.1...0.1.3)

> 2022-01-14


<a name="v0.1.1"></a>
## v0.1.1

> 2022-01-13
